%define roundcubedir %{_datadir}/roundcubemail
%global _logdir /var/log  
%define date   %(echo `C_ALL="C" date +"%a %b %d %Y"`)

Name:          roundcubemail
Epoch:         1
Version:       0.4.0.5
Release:       1%{?dist}
Summary:       RoundCube Webmail, a browser-based multilingual IMAP client
Group:         Applications/System         
License:       GPLv2
URL:           https://oss-services.rutgers.edu/trac/roundcube/
Source0:       %{name}-%{version}.tar.gz

BuildRequires: yuicompressor java-1.6.0-openjdk
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
Requires:      php-mysql 
Requires:      php-pear-Auth-SASL
Requires:      php-pear-DB
# in 1.5 Mail-mimeDecode splits out, so edit below
Requires:      php-pear-Mail-Mime < 1.5
Requires:      php-pear-Net-SMTP
Requires:      php-pear-Net-Socket
Requires:      php, httpd
# in 1.5 Mail-mimeDecode splits out, so edit below
#Requires: php-pear-Mail-mimeDecode
Requires:      php-mcrypt
Requires:      php-pear-MDB2
Requires:      php-pear-MDB2-Driver-mysql
Requires:      php-pear-MDB2-Driver-mysqli 
Requires:      php-pecl-Fileinfo
Requires:      php-xml
Requires:      php-mbstring
Requires:      php-pspell
Requires:      php-ldap
Requires:      webtools >= 2.0-15
Requires:	   webtools-check-criteria
Requires:      php-process
Requires:      GeoIP-data

Obsoletes:     roundcubemail-plugins roundcubemail-ru-plugins roundcubemail-webtools

%description
Rutgers customized imlementation of RoundCube Webmail.
RoundCube Webmail is a browser-based multilingual IMAP client
with an application-like user interface. It provides full
functionality you expect from an e-mail client, including MIME
support, address book, folder manipulation, message searching
and spell checking. RoundCube Webmail is written in PHP and 
requires the MySQL database or the PostgreSQL database. The user
interface is fully skinnable using XHTML and CSS 2.

%prep
%setup -q -n roundcubemail

# fix permissions and remove any .htaccess files
find . -type f -exec chmod u=rw,go= "{}" \;
find . -name \.htaccess -print | xargs rm -f

# fixup paths to use the right paths
sed -i 's|temp/|${_tmppath}|' config/main.inc.php.dist
sed -i 's|config/|%{_sysconfdir}/roundcubemail/|' config/main.inc.php.dist
sed -i 's|logs/|%{_logdir}/roundcubemail/|' config/main.inc.php.dist
sed -i 's|logs/|%{_logdir}/roundcubemail/|' program/include/main.inc
sed -i 's|config/|%{_sysconfdir}/roundcubemail/|' program/include/main.inc

%build

#Compress js
for js in $(find . -name *.js);
do \
	yuicompressor -v -o $js.min $js; \
	mv $js.min $js; \
done;

#Compress css
for css in $(find . -name *.css);
do \
	yuicompressor -v -o $css.min $css; \
	mv $css.min $css; \
done;

%install

rm -rf %{buildroot}
install -d %{buildroot}%{roundcubedir}
cp -pr * %{buildroot}%{roundcubedir}

rm -rf %{buildroot}%{roundcubedir}/installer

mkdir -p %{buildroot}%{_sysconfdir}/roundcubemail
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d

mkdir -p %{buildroot}/var/log/roundcubemail

cd %{buildroot}%{roundcubedir}/
find . -name \*.swp -type f -delete

mv %{buildroot}%{roundcubedir}/config/* %{buildroot}%{_sysconfdir}/roundcubemail/

# clean up the buildroot
rm -rf %{buildroot}%{roundcubedir}/{config,logs,temp}
rm -rf %{buildroot}%{roundcubedir}/{CHANGELOG,INSTALL,LICENSE,README,UPGRADING,SQL}

# symlink for config files
ln -s %{_sysconfdir}/roundcubemail/ %{buildroot}%{roundcubedir}/config

%clean
rm -rf %{buildroot}

%post

%files
%defattr(0770,root,apache,-)
%doc README.configs
%{roundcubedir}
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/mimetypes.php
%dir /var/log/roundcubemail
/etc/roundcubemail/main.inc.php.dist
/etc/roundcubemail/db.inc.php.dist


%changelog
* Tue Aug 21 2012 Kaitlin Poskaitis <katiepru@nbcs.rutgers.edu> 0.4.0.5-1.ru
- Updated source with netid regex check

* Thu Aug 16 2012 Kaitlin Poskaitis <katiepru@nbcs.rutgers.edu> 0.4.0.4-1.ru
- Updated source with minor changes to images and image alignment	

* Wed Aug 15 2012 Kaitlin Poskaitis <katiepru@nbcs.rutgers.edu> 0.4.0.3-1.ru
- Updated source with minor bug fixes and html validation.
- Removed rutgers status plugin

* Wed Jul 11 2012 Kaitlin Poskaitis <katiepru@nbcs.rutgers.edu> - 0.4.0.2-1.ru
- Updated source with namespace bugfixes in folder management

* Mon Jul 09 2012 Josh Matthews <jmatth@nbcs.rutgers.edu> - 0.4.0.1-1.ru
- Rebuilt with updated source code
